# Template: Metrics Data

Cohesive offers a standard, fine-tuned model for extracting metrics (e.g., financial or operational metrics). Use the below schema in the request for best results:

<pre class="language-typescript"><code class="lang-typescript">{
<strong>allMetrics: {
</strong>    Name: string; // The name of the metric in that row
    Data: {
        Date: string; // The date/column of that metric's value, in MM/DD/YYY format
        Value: number; // The value of that metric for that date
               }[]; // Each data entry for that metric
    }[]//Each row is a separate metric to import
}
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cohesiveapp.com/reference/api-documentation/guide-having-a-custom-response-schema/template-metrics-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
